Package com.tibco.patterns.qbp

## Class ANetricsQueryBuilderBuilderBase.CoreMatchCaseQlt

- java.lang.Object
- - com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.CoreMatchCaseQlt

- Enclosing class:
    ANetricsQueryBuilderBuilderBase

      protected static class ANetricsQueryBuilderBuilderBase.CoreMatchCaseQlt
      extends java.lang.Object

  Define a core querylet/feature of a match case query.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoreMatchCaseQlt​(com.netrics.likeit.NetricsQuery querylet, double threshold, java.lang.Double weight)` | Create the definition of a match case core feature.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.netrics.likeit.NetricsQuery` | `getQuerylet()` |
    `double` | `getThreshold()` |
    `double` | `getWeight()` |
    `void` | `setQuerylet​(com.netrics.likeit.NetricsQuery querylet)` | Set the query to be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreMatchCaseQlt

          public CoreMatchCaseQlt​(com.netrics.likeit.NetricsQuery querylet,
                                  double threshold,
                                  java.lang.Double weight)
                           throws java.lang.IllegalArgumentException

      Create the definition of a match case core feature.
      Parameters:
        `querylet` - the NetricsQuery object representing the querylet.
        `threshold` - the threshold score that must be reached to qualify as a matching core feature. (Required.)
        `weight` - the weight factor for this core querylet, if null this defaults to 1.0.
      Throws:
        `java.lang.IllegalArgumentException` - If threshold is not between 0.0 and 1.0 or if weight is given and not between 0.0 and 1.0.

  - ### Method Detail

    - #### setQuerylet

          public void setQuerylet​(com.netrics.likeit.NetricsQuery querylet)

      Set the query to be used.
      Parameters:
        `querylet` - the query for this core querylet.

    - #### getQuerylet

          public com.netrics.likeit.NetricsQuery getQuerylet()

      Returns:
        the querylet object.
      Throws:
        `java.lang.IllegalStateException` - if no querylet has been set.

    - #### getThreshold

          public double getThreshold()

      Returns:
        the core feature threshold score.

    - #### getWeight

          public double getWeight()

      Returns:
        the core querylet weight factor.